"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fetch_schema_1 = require("./fetch-schema");
async function loadSchema(dependency, config) {
    if (dependency.schema) {
        return await fetch_schema_1.fetchSchema({ url: dependency.schema }, config.projectFolder);
    }
    else if (dependency.endpoint && dependency.endpoint.url) {
        return await fetch_schema_1.fetchSchema(dependency.endpoint, config.projectFolder);
    }
    else if (dependency.engineKey) {
        return await fetch_schema_1.fetchSchemaFromEngine(dependency.engineKey, config.engineEndpoint);
    }
    else {
        return undefined;
    }
}
exports.loadSchema = loadSchema;
//# sourceMappingURL=load-schema.js.map